Package org.apache.qpid.proton.amqp.transport

# Enum SenderSettleMode

java.lang.Object
java.lang.Enum<SenderSettleMode>
org.apache.qpid.proton.amqp.transport.SenderSettleMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SenderSettleMode>`

public enum SenderSettleMode extends Enum<SenderSettleMode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MIXED`
`SETTLED`
`UNSETTLED`

## Method Summary

Modifier and Type
Method
Description
`UnsignedByte`
`getValue()`
`static SenderSettleMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SenderSettleMode`
`valueOf(UnsignedByte value)`
Returns the enum constant of this type with the specified name.
`static SenderSettleMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSETTLED

public static final SenderSettleMode UNSETTLED

### SETTLED

public static final SenderSettleMode SETTLED

### MIXED

public static final SenderSettleMode MIXED

## Method Details

### values

public static SenderSettleMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SenderSettleMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

public static SenderSettleMode valueOf(UnsignedByte value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public UnsignedByte getValue()